sasl_getpath_t(3)

NAME
sasl_getpath_t - The SASL callback to indicate location of the mechanism drivers

SYNOPSIS
#include <sasl/sasl.h>

int sasl_getpath_t(void *context,
		        char ** path);

DESCRIPTION
sasl_getpath_t is used if the application wishes to use a different location for the SASL mechanism drivers (the shared library files). If this callback is not used SASL will either use the location in the environment variable SASL_PATH or /usr/lib/sasl2 by default.

RETURN VALUE
SASL callback functions should return SASL return codes. See sasl.h for a complete list. SASL_OK indicates success.

CONFORMING TO
RFC 4422

SEE ALSO
sasl(3), sasl_callbacks(3), sasl_errors(3)